Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.anim.timing
Class TimingSpecifier

    java.lang.Object
      org.apache.batik.anim.timing.TimingSpecifier

Direct Known Subclasses:
  IndefiniteTimingSpecifier, MediaMarkerTimingSpecifier, OffsetTimingSpecifier, WallclockTimingSpecifier

    public abstract class TimingSpecifier

extends Object

An abstract class for SMIL timing specifiers.

Field Summary
`protected boolean` | `isBegin` Whether this timing specifier is for a begin time or an end time.
`protected TimedElement` | `owner` The element that owns this timing specifier.

Constructor Summary
`protected` | `TimingSpecifier(TimedElement owner, boolean isBegin)` Creates a new TimingSpecifier object.

Method Summary
`void` | `deinitialize()` Deinitializes this timing specifier by removing any event listeners.
`TimedElement` | `getOwner()` Returns the element that owns this timing specifier.
`void` | `initialize()` Initializes this timing specifier by adding the initial instance time to the owner's instance time list or setting up any event listeners.
`boolean` | `isBegin()` Returns true if this timing specifier is in the owner's begin list, false if it is in the owner's end list.
`abstract boolean` | `isEventCondition()` Returns whether this timing specifier is event-like (i.e., if it is an eventbase, accesskey or a repeat timing specifier).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### owner

    protected TimedElement owner

  The element that owns this timing specifier.

### isBegin

    protected boolean isBegin

  Whether this timing specifier is for a begin time or an end time.

Constructor Detail

### TimingSpecifier

    protected TimingSpecifier(TimedElement owner,
                              boolean isBegin)

  Creates a new TimingSpecifier object.

Method Detail

### getOwner

    public TimedElement getOwner()

  Returns the element that owns this timing specifier.

### isBegin

    public boolean isBegin()

  Returns true if this timing specifier is in the owner's begin list, false if it is in the owner's end list.

### initialize

    public void initialize()

  Initializes this timing specifier by adding the initial instance time to the owner's instance time list or setting up any event listeners. This should be overriden in descendant classes.

### deinitialize

    public void deinitialize()

  Deinitializes this timing specifier by removing any event listeners. This should be overriden in descendant classes.

### isEventCondition

    public abstract boolean isEventCondition()

  Returns whether this timing specifier is event-like (i.e., if it is an eventbase, accesskey or a repeat timing specifier).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.